// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#include <QtWidgets>
#include <QPushButton>
#include <QTime>
#include <QLocale>

#include "zoneitem.h"
#include "settings.h"
#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
	QMainWindow(parent)
{
	Settings *s = Settings::getInstance();

	/*
	 * Sensors-related layout
	 */
	QGridLayout *mainLayout = new QGridLayout;

	mainLayout->addWidget(new ZoneItem(s->m_rooms_names[0], this), 0, 0);
	mainLayout->addWidget(new ZoneItem(s->m_rooms_names[1], this), 0, 1);
	mainLayout->addWidget(new QPushButton(tr("Menu")), 0, 2);
	mainLayout->addWidget(new ZoneItem(s->m_rooms_names[2], this), 1, 0);
	mainLayout->addWidget(new ZoneItem(s->m_rooms_names[3], this), 1, 1);
	mainLayout->addWidget(new QPushButton(tr("Auto")), 1, 2);

	QWidget *mainWidget = new QWidget;
	mainWidget->setLayout(mainLayout);

	/*
	 * Top widget
	 */
	setCentralWidget(mainWidget);

	setWindowTitle(tr("Sorico's thermostat"));
	m_backLoop.start();
}

MainWindow::~MainWindow()
{
}

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */
